Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.auxdata
Class AuxDataManager

    java.lang.Object
      com.ejie.r01f.auxdata.AuxDataManager

public class AuxDataManager
extends java.lang.Object

Clase que gestiona los datos auxilares de una aplicación Normalmente el AuxDataManager se utiliza desde la CAPA DE PRESENTACION para la carga de los datos de combos o listas La ventaja de utilizar el AuxDataManager es que se "abstrae" al programador de la capa de presentación de: - La forma en que se almacenan los datos auxiliares - La forma en que se cargan los datos auxiliares: utilizando una clase DAO, un EJB, llamando a un servlet, una cola, etc. Para utilizar el AuxDataManager, es necesaria cierta configuración en el fichero de propiedades de la aplicación que proporcione la información necesaria para cargar la clase "cargadora" e invocar a su método load com.ejie.r01f.auxdata.TestAuxDataLoaderImpl property1Value property2Value .... .... En las propiedades anteriores se indica: - El oid del conjunto de datos auxiliares - La clase que implementa el interfaz AuxDataLoader y que se encarga de la carga de los datos desde donde estos se encuentren almacenados (bd, ficheros, etc) - Propiedades arbitrarias necesarias para la implementación de la clase cargadora

Constructor Summary
`AuxDataManager()` Constructor vacío

Method Summary
`static java.util.Map` | `getAuxData(java.lang.String appCode, java.lang.String dataSet, java.util.Map params)` Obtiene una lista de datos auxiliares en un idioma
`static java.util.Map` | `getAuxData(java.lang.String appCode, java.lang.String dataSet, java.util.Properties params)` Obtiene una lista de datos auxiliares
`static java.util.Map` | `getAuxData(java.lang.String appCode, java.lang.String dataSet, java.lang.String[][] params)` Obtiene una lista de datos auxiliares
`static void` | `main(java.lang.String[] args)` Main Method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuxDataManager

    public AuxDataManager()

  Constructor vacío

Method Detail

### getAuxData

    public static java.util.Map getAuxData(java.lang.String appCode,
                                           java.lang.String dataSet,
                                           java.util.Properties params)
                                    throws AuxDataLoaderException

  Obtiene una lista de datos auxiliares

  Returns:
    Un Mapa con los datos auxiliares
  Throws:
    `AuxDataLoaderException:` - Si hay algun error al devolver los datos
    `AuxDataLoaderException`

### getAuxData

    public static java.util.Map getAuxData(java.lang.String appCode,
                                           java.lang.String dataSet,
                                           java.lang.String[][] params)
                                    throws AuxDataLoaderException

  Obtiene una lista de datos auxiliares

  Returns:
    Un Mapa con los datos auxiliares
  Throws:
    `AuxDataLoaderException:` - Si hay algun error al devolver los datos
    `AuxDataLoaderException`

### getAuxData

    public static java.util.Map getAuxData(java.lang.String appCode,
                                           java.lang.String dataSet,
                                           java.util.Map params)
                                    throws AuxDataLoaderException

  Obtiene una lista de datos auxiliares en un idioma

  Returns:
    Un Mapa con los datos auxiliares
  Throws:
    `AuxDataLoaderException:` - Si hay algun error al devolver los datos
    `AuxDataLoaderException`

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD